corda / net.corda.node.internal

## Package net.corda.node.internal

### Types

AbstractNode | `abstract class AbstractNode : SingletonSerializeAsToken` A base node implementation that can be customised either for production (with real implementations that do real I/O), or a mock implementation suitable for unit test environments.
CordaRPCOpsImpl | `class CordaRPCOpsImpl : CordaRPCOps` Server side implementations of RPCs available to MQ based client tools. Execution takes place on the server thread (i.e. serially). Arguments are serialised and deserialised automatically.
NetworkMapInfo | `data class NetworkMapInfo`
Node | `class Node : AbstractNode` A Node manages a standalone server that takes part in the P2P network. It creates the services found in ServiceHub, loads important data off disk and starts listening for connections.

### Exceptions

ConfigurationException | `class ConfigurationException : Exception`